Download it now!
Bug 90812 - FILESAVE: XLSX run paragraph property of text is missing after roundtrip.
Summary: FILESAVE: XLSX run paragraph property of text is missing after roundtrip.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL: https://www.writemyessays.org.uk/
Whiteboard: target:5.0.0 target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-23 11:51 UTC by Yogesh Bharate
Modified: 2020-07-11 21:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
color text (9.31 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-04-23 11:51 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-04-23 11:51:19 UTC
Created attachment 115035 [details]
color text

Problem Description :
After roundtrip text paragraph property is missing in roundtripped file.

Step to Reproduce:
1. Create a XLSX file in MSO2010 contenting two word of different color like red (color - red) and another green (color - green) in a cell.
2. Open the XLSX file in LibreOffice.
3. Save as XLSX  again.
4. Extract XLSX file using any ooxml tool.(I am using OOXML chrome browser extension).


XML Difference: In sharedStrings.xml
Original file :
<r>
  <rPr>
      <sz val="11"/>
      <color rgb="FFFF0000"/>
      <rFont val="Calibri"/>
      <family val="2"/>
      <scheme val="minor"/>
  </rPr>
   <t>Red</t>
</r>


Roundtrip file: 
<r>
  <t>Red</t>
</r>

rPr is missing in roundtrip file.
Comment 1 Commit Notification 2015-05-11 19:03:11 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8865ed2efecd03722d10e522265f31c99b13b2bb

tdf#90812: rPr is not exported after roundtrip.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Robert Pollak 2015-10-05 15:04:09 UTC
This commit might have caused the major bug 92296. If you can confirm this, please fix or undo the change.
Comment 4 Katarina Behrens (Inactive) 2015-11-07 12:48:03 UTC
Well, revert and find a different solution for this particular problem. 

No worries, this bug was fixed and it stays fixed. It's guarded by unit test and I wouldn't be able to push any commit that breaks it. 

Please don't reopen bugs unless you have a proof (sample document) that it got broken again.
Comment 5 Luke 2015-11-08 03:39:50 UTC
Katarina,
Sorry, misunderstood your commit message. I'll make sure to verify in the future.
Comment 6 Commit Notification 2015-11-09 14:58:25 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df6d3e9d91c25bd1ef7c7cba0f1af63895890411

Related tdf#92296, tdf#90812: Make this test more strict

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 ThomasMore 2020-05-04 06:50:47 UTC
Ensure you drink a lot of water while you're composing, as this will assist you with remaining alarm. You may likewise need to outfit yourself with certain bites to prop you up, as this can make the way toward Writing an article increasingly endurable just as keeping up your vitality levels. 
By: https://www.writemyessays.org.uk/
Comment 8 Jon545 2020-07-11 21:00:59 UTC
This is the great news. you learn C++ project that great.

https://www.codeboks.com/c-projects-for-beginners-with-source-code/

https://www.codeboks.com/